(function($) {

    Drupal.sushibar = Drupal.sushibar || {};

    Drupal.behaviors.actionsushibar = {
        attach: function(context, settings) {
            $('.btn-btt').smoothScroll({
                speed: 600
            });

            Drupal.sushibar.initProductQuantity();
            Drupal.sushibar.checkScroll();
            Drupal.sushibar.editMegaMenu();
            //Placeholder
            Drupal.sushibar.setInputPlaceHolder('search_block_form', 'Enter keyword', '#search-block-form');
            Drupal.sushibar.setInputPlaceHolder('name', 'Username', '#user-login');
            Drupal.sushibar.setInputPlaceHolder('pass', 'Password', '#user-login');
            Drupal.sushibar.setInputPlaceHolder('name', 'Username', '#user-register-form');
            Drupal.sushibar.setInputPlaceHolder('mail', 'Email', '#user-register-form');
            Drupal.sushibar.setInputPlaceHolder('name', 'Email', '#user-pass');
            // Drupal.sushibar.setInputPlaceHolder('name', 'Your name', '#comment-form');
            // Drupal.sushibar.setInputPlaceHolder('field_email[und][0][value]', 'Email', '#comment-form');
            // Drupal.sushibar.setInputPlaceHolder('subject', 'Subject', '#comment-form');
            // Drupal.sushibar.setInputPlaceHolder('comment_body[und][0][value]', 'Comments', '#comment-form');
            Drupal.sushibar.setInputPlaceHolder('mail', 'Your email', '.simplenews-subscribe');
            //Add title for comment
            $("#comment-form").once('comment-form').prepend('<h2 class="block-title">Leave<span>A comment</span></h2>');
            //Add title for search block
            $("#block-search-form").once('block-search-form').prepend('<h2 class="block-title">Search<span>I\'m looking for</span></h2>');

            $("#block-webform-client-block-1").click(function(e) {
                //console.log( e );
                //console.log( e.target.type );
                if (e.target.type != 'submit' || $("#edit-submitted-reservation-date").val() == "" || $("#edit-submitted-time").val() == "" || $("#edit-submitted-persons").val() == "" || $("#edit-submitted-your-name--2").val() == "" || $("#edit-submitted-your-phone-email").val() == "") {
                    e.preventDefault();
                    e.stopPropagation();
                }
            });

            $('.btn-reservation').click(function(e) {
                e.preventDefault();
                $("#block-webform-client-block-1").addClass('open');
                //.....
                e.stopPropagation();
                return false;
            });

            //Reservation webform
            //Search
            var ua = navigator.userAgent,
                event = (ua.match(/iPad/i)) ? "touchstart" : "click";

            $(document).on(event, function (ev) {
                $("#block-webform-client-block-1").removeClass('open');
                $("#block-search-form").removeClass('open');
            });



            $("#block-search-form").click(function(e) {
                if (e.target.type != 'submit') {
                    e.preventDefault();
                    e.stopPropagation();
                }
            });


            $('.search').click(function(e) {
                e.preventDefault();
                $("#block-search-form").addClass('open');
                //.....
                e.stopPropagation();
                return false;
            });

            // Mobile menu
            $('#menu-toggle').mobileMenu({
                targetWrapper: '#main-menu-wrapper',
                targetMenu: '#block-tb-megamenu-main-menu, #block-system-main-menu'
            });

            if ($(window).width() <= 991) {
                $('.mobile-main-menu .region-main-menu').accordionMenu();
            }
            $(window).resize(function() {
                if ($(window).width() <= 991) {
                    $('.mobile-main-menu .region-main-menu').accordionMenu();
                }
            });
            jQuery('#views_slideshow_pager_field_item_bottom_person_view-block_0').trigger('click');

        // $("#views_slideshow_pager_field_item_bottom_person_view-block_0").click(function(){
        // $("#views_slideshow_pager_field_item_bottom_person_view-block_0").trigger("click");
        //$('#views_slideshow_pager_field_item_bottom_person_view-block_5').trigger('click');
    //});
     $(window).resize(function() {
        Drupal.sushibar.setSlideshowHeight();
      });

        }
    };

    Drupal.sushibar.setSlideshowHeight = function() {
    var imgs = $('#block-views-slideshow-block .view .views-field img');
    if (imgs.length) {
      var minImageHeight = imgs.get(0).height;
      imgs.each(function(idx, el) {
        if (minImageHeight > el.height) {
          minImageHeight = el.height;
        }
      })

      $('#block-views-slideshow-block .views_slideshow_cycle_main .views-slideshow-cycle-main-frame').css('height', minImageHeight);
      $('#block-views-slideshow-block .views_slideshow_cycle_main .views-slideshow-cycle-main-frame-row').css('height', minImageHeight);

      Drupal.viewsSlideshowCycle.load("#views_slideshow_cycle_main_slideshow-block");
    }
  }

    Drupal.sushibar.editMegaMenu = function () {
        $(".tb-megamenu .nav li.level-1 > a").click(function () {
            var href = $(this).attr("href");
            window.location.href = href;
        });
    };

    Drupal.sushibar.checkScroll = function() {
        // Check front page
        $('#header').affix({
            offset: {
                top: function() {
                  var height = 50;
                  if ($('body').hasClass('front')) {
                      height = 700;
                  };
                  // $('#header').addClass('fixed-menu');
                  return height;
                },
            }
        })

        /*$(window).scroll(function() {
          var wrapper = $('#header');
          //console.log($(window).scrollTop());
          if ($(window).scrollTop() > height) {
            console.log($(window).scrollTop());
            wrapper.css({top: 0});
            wrapper.addClass('fixed-menu');
          } else {
            wrapper.removeClass('fixed-menu');
          }
        });*/
    }



    Drupal.sushibar.canSetetMenuHeight = true;


    Drupal.sushibar.setInputPlaceHolder = function(name, text, selector) {
        selector = selector == undefined ? '' : selector + ' ';

        if ($.support.placeholder) {
            $(selector + 'input[name="' + name + '"]').attr('placeholder', Drupal.t(text));
        } else {
            $(selector + 'input[name="' + name + '"]').val(Drupal.t(text));
            $(selector + 'input[name="' + name + '"]').focus(function() {
                if (this.value == Drupal.t(text)) {
                    this.value = '';
                }
            }).blur(function() {
                if (this.value == '') {
                    this.value = Drupal.t(text);
                }
            });
        }
    }

    Drupal.sushibar.initProductQuantity = function() {
  var quantity = $(".node-the-menu .form-type-uc-quantity");
        quantity.find('label').hide();
        if (quantity.children('#uc-quantity-decrease').length == 0) {
            quantity.prepend($('<span class="uc-quantity-decrease">-</span>'));
        }
        if (quantity.children('#uc-quantity-increase').length == 0) {
            quantity.append($('<span class="uc-quantity-increase">+</span>'));
        }

        $('.uc-quantity-decrease').click(function() {
            $(this).parent().children('input[id^=edit-qty]').each(function() {
                var value = parseInt($(this).val());
                if (value > 0) {
                    $(this).val(value - 1);
                    if (value == 1) {
                        $(this).parent().children('.uc-quantity-decrease').addClass("disabled");
                    }
                }
            });
        });

        $('.uc-quantity-increase').bind('click', function() {
            var value = parseInt($(this).parent().children('input[id^=edit-qty]').val());
            value = value + 1;
            $(this).parent().children('input[id^=edit-qty]').val(value);
            $(this).parent().children('.uc-quantity-decrease').removeClass("disabled");
        });
    }


    Drupal.sushibar.equalHeight = function(elements) {
        if (elements.eq(0).height() <= 0) {
            setTimeout(function() {
                Drupal.sushibar.equalHeight(elements);
            }, 1000);
            return;
        }
        highest = 0;
        elements.each(function() {
            if ($(this).height() > highest) {
                highest = $(this).height();
            }
        });
        return elements.each(function() {
            if (($.browser.msie && $.browser.version == 6.0)) {
                $(this).css({
                    'height': highest,
                    'overflow': 'hidden'
                });
            } else {
                $(this).css({
                    'min-height': highest
                });
            }
        });
    }

    $.support.placeholder = (function() {
        var i = document.createElement('input');
        return 'placeholder' in i;
    })();


})(jQuery);
